%define name	muse
%define version	0.6.3
%define	release	1mdk

Name:		%{name}
Summary:	MusE is a MIDI/Audio sequencer with recording and editing capabilities.
Version:	%{version}
Release:	%{release}
URL:		http://lmuse.sourceforge.net/
Source:		%{name}-%{version}.tar.bz2
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	jackit-devel libalsa-devel openjade doxygen qt3-devel
BuildRequires:  fluidsynth-devel libsndfile-devel
BuildRequires:	docbook-style-dsssl docbook-dtd41-sgml
BuildRequires:	ladcca-devel >= 0.4.0
License:	GPL

%description
MusE is a MIDI/Audio sequencer with recording and editing capabilities.
Some Highlights:
    * standard midifile (smf) import-/export
    * organizes songs in tracks and parts which you can arrange
      with the part editor
    * midi editors: pianoroll, drum, list, controller
    * score editor with high quality postscript printer output
    * realtime: editing while playing
    * unlimited number of open editors
    * unlimited undo/redo
    * realtime and step-recording
    * multiple midi devices
    * unlimited number of tracks
    * audio playback/recording 
    * Sync to external devices: MTC/MMC, Midi Clock,
      Master/Slave (currently only partial implemented)
    * LADSPA host
    * ALSA and JACK audio driver
    * uses raw midi devices (ALSA, OSS & serial ports)
    * XML project file
    * project file contains complete app state (session data)
    * Application spanning Cut/Paste Drag/Drop
    * uses C++, QT2 GUI Library, STL
    * GPL Licenced 

%prep
%setup -q
#perl -p -i -e 's|version="3.2"|version="3.1"||g' widgets/*.ui

%build
export QTDIR=/usr/lib/qt3
export KDEDIR=%_prefix
export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH
%configure --enable-optimize --with-docbook-stylesheets=/usr/share/sgml/docbook/dsssl-stylesheets-1.78 --disable-suid-build --disable-qttest
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

mkdir -p $RPM_BUILD_ROOT%_menudir
# (mandrake) menu support
cat << EOF > %{buildroot}%{_menudir}/%{name}
?package(%{name}): longtitle="MIDI sequencer" \
command="/usr/bin/muse" title="MusE"  needs="x11" \
section="Multimedia/Sound" \
icon="sound_section.png"
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc COPYING INSTALL ChangeLog README
%doc README.de README.softsynth SECURITY
%_bindir/*
%_libdir/%name
%_datadir/%name
%_menudir/*

%changelog
* Mon Jan 5 2004 Austin Acton <austin@linux.ca> 0.6.3-1mdk
- 0.6.3
- new URL
- fix buildrequires for lib64

* Thu Nov 6 2003 Austin Acton <aacton@yorku.ca> 0.6.2-1mdk
- 0.6.2
- buildrequires ladcca 0.4.0

* Tue Aug 19 2003 Austin Acton <aacton@yorku.ca> 0.6.1-1mdk
- 0.6.1

* Mon Jul 14 2003 Austin Acton <aacton@yorku.ca> 0.6.0-1mdk
- 0.6.0 final
- use fluid, not iiwu
- simplify configure
- point to docbook
- drop patch
- rename menu entry

* Fri Apr 25 2003 Austin Acton <aacton@yorku.ca> 0.6.0-0.pre5.2mdk
- buildrequires openjade, doxygen, libqt3-devel

* Sun Feb 2 2003 Austin Acton <aacton@yorku.ca> 0.6.0-0.pre5.1mdk
- bump version
- quiet setup
- add patch from author
- fixup requires

* Fri Nov 15 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.6.0-0.pre3.2mdk
- remove jack dependency

* Wed Nov 13 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.6.0-0.pre3.1mdk
- 0.6.0pre3
- clean filelist
- disable-suid-build for now
- from James Gregory <james@james.id.au> :
	- fixed file locations to use macros rather than absolute paths

* Thu Oct  3 2002 James Gregory <james@james.id.au>  0.6.0-0.pre2.2mdk
- First version to build.
